package gotowe.p06_funkcje.teoria;

public class Funkcje2_Parametry {

    // Funkcja może mieć parametry:
    static void zaprosNaKurs(String jezyk, int iloscDni) {
        System.out.println("Zapraszamy na kurs języka " + jezyk + ", które będzie trwał " + iloscDni + " dni.");
    }

    static void powtorz(String napis, int ilosc) {
        for(int i = 1; i <= ilosc; i++) {
            System.out.println(napis);
        }
    }

    public static void main(String[] args) {
        // Wywołując funkcję sparametryzowaną musimy przekazać wartości parametrów, czyli "argumenty".
        zaprosNaKurs("Java", 10);
        zaprosNaKurs("Python", 10);
        zaprosNaKurs("SQL", 4);
        System.out.println();

        // Zadeklarowane w funkcji: parametr, paramter formalny (formal parameter)
        // Wartość przekazywana w wywołaniu: argument, parametr aktualny / bieżący (actual parameter) 

        powtorz("Ala ma kota", 5);
        powtorz("Ola ma psa", 3);

    }

}
